#!/usr/bin/python3 

import os,sys,math
from build.amsbuildlib4 import *

if(len(sys.argv)>=2):
    if(sys.argv[1]=="clean"):
        obj_list = flist('./build_linux64',recurse=True,exts=['.o'])
        for o in obj_list:
            os.remove('{}'.format(o))
    exit()

os.system('python3 ./build/make.linux64.lib.py')
os.system('python3 ./build/make.linux64.test.py')

obj_list = flist('./src',recurse=True,exts=['.o'])
for o in obj_list:
    os.remove('{}'.format(o))

os.chdir('./build_linux64')
callproc('./tests')
os.chdir('..')
